<?php

namespace WAAVE\Complete\Gateway\Config\Direct;

use Magento\Framework\App\Config\ScopeConfigInterface;

class Config extends \Magento\Payment\Gateway\Config\Config
{
    const CODE = 'waave_direct';

    public function __construct(
        ScopeConfigInterface $scopeConfig,
        $methodCode = null,
        $pathPattern = self::DEFAULT_PATH_PATTERN
    ) {
        parent::__construct($scopeConfig, $methodCode, $pathPattern);
        $this->setMethodCode(self::CODE);
    }

    public function getGatewayURL()
    {
        $useSandbox = $this->getValue('use_sandbox');
        if ($useSandbox) {
            return $this->getValue('sandbox_url');
        }

        return $this->getValue('product_url');
    }

    public function getVgsData()
    {
        $vgs = $this->getValue('vgs');

        $useSandbox = $this->getValue('use_sandbox');
        if ($useSandbox) {
            return $vgs['sandbox'];
        }

        return $vgs['prod'];
    }
}