<?php

/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace WAAVE\Complete\Model\Ui\Checkout;

use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Framework\View\Asset\Repository;

/**
 * Class ConfigProvider
 */
final class ConfigProvider implements ConfigProviderInterface
{
    const CODE = 'waave_checkout';

    private $assetRepository;

    public function __construct(Repository $assetRepository)
    {
        $this->assetRepository = $assetRepository;
    }

    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        $logo = $this->assetRepository->getUrlWithParams('WAAVE_Complete::images/logo.png', []);

        return [
            'payment' => [
                self::CODE => [
                    'logo' => $logo
                ]
            ]
        ];
    }
}
