/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
/*browser:true*/
/*global define*/
define(
    [
        'jquery',
        'Magento_Checkout/js/view/payment/default',
        'Magento_Checkout/js/model/quote',
        'Magento_Ui/js/model/messageList',
        'mage/translate',
        'mage/url'
    ],
    function ($, Component, quote, messageList, $t, url) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'WAAVE_Complete/payment/form',
                redirectAfterPlaceOrder: false
            },

            getCode: function() {
                return 'waave_checkout';
            },

            getData: function() {
                return {
                    'method': this.item.method
                };
            },

            placeOrderCheckoutClick: function() {
                const self = this;
                $.ajax({
                    url: url.build('waave_complete/validate/index'),
                    type: 'POST',
                    data: {
                        quoteId: quote.getQuoteId(),
                        guestEmail: quote.guestEmail,
                        shippingEmail: quote.shippingAddress().email
                    },
                    success: function(response) {
                        if (response.message) {
                            messageList.addErrorMessage({ message: $t(response.message) });
                            return false;
                        }

                        self.placeOrder();
                    }
                });
            },

            getLogo: function() {
                return window.checkoutConfig.payment.waave_checkout.logo;
            },

            afterPlaceOrder: function() {
                window.location.replace(url.build('waave_complete/checkout/index'));
            }
        });
    }
);