<?php

namespace WAAVE\Compliance\Model;

class CategoryManagement
{
    /**
     * @var \Magento\Catalog\Api\CategoryListInterface
     */
    protected $categoryList;

    /**
     * @param \Magento\Catalog\Api\CategoryListInterface $productRepository
     */
    public function __construct(
        \Magento\Catalog\Api\CategoryListInterface $categoryList
    ) {
        $this->categoryList = $categoryList;
    }

    /**
     * @inheritdoc
     */
    public function getList()
    {
        $searchCriteria = new \Magento\Framework\Api\SearchCriteria();
        $searchCriteria->setData('current_page', 1);

        $list = $this->categoryList->getList($searchCriteria);

        $items = [];
        foreach ($list->getItems() as $value) {
            $items[] = [
                'id' => $value->getData('entity_id'),
                'name' => $value->getData('name')
            ];
        }

        return $items;
    }
}