<?php

namespace WAAVE\Compliance\Model;

use WAAVE\Compliance\Api\Data\VersionInterfaceFactory;

class VersionManagement
{
    /**
     * @var \WAAVE\Compliance\Api\Data\VersionInterfaceFactory
     */
    protected $versionDataFactory;

    public function __construct(
        VersionInterfaceFactory $versionDataFactory
    ) {
        $this->versionDataFactory = $versionDataFactory;
    }

    /**
     * @inheritdoc
     */
    public function getVersion()
    {
        $versionDataObject = $this->versionDataFactory->create()
            ->setComplete('2.0.1')
            ->setCompliance('2.0.1');

        return $versionDataObject;
    }
}